using System;
using System.Runtime.Serialization;

namespace dynablaster.shared_libs.exceptions
{
	/// <summary>
	/// Exception fr Fehler, die in der Spiellogik auftreten knnten,
	/// wird an den Client weitergeleitet, als information lediglich text...
	/// </summary>
	[Serializable]
	public class DynablasterException : ApplicationException
	{
		public DynablasterException(string s):base(s)
		{
		}

		public DynablasterException(SerializationInfo info,StreamingContext context):base(info,context)
		{
		}
	}
}
